%global commit  b2de1700ca0a3d71516d973a628075fdd967c957
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date    20200716

%global appname fractal
%global uuid    org.gnome.Fractal

Name:           %{appname}-master
Version:        4.2.2
Release:        1.%{date}git%{shortcommit}%{?dist}
Summary:        Matrix messaging app for GNOME written in Rust

License:        GPLv3+
URL:            https://gitlab.gnome.org/GNOME/fractal
Source0:        %{url}/-/archive/%{commit}/%{name}-%{version}.%{date}git%{shortcommit}.tar.gz

BuildRequires:  cargo
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gmp-devel
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  rust
BuildRequires:  pkgconfig(atk)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gspell-1)
BuildRequires:  pkgconfig(gst-editing-services-1.0)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-player-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtksourceview-4)
BuildRequires:  pkgconfig(libhandy-0.0)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(pangocairo)

Requires:       hicolor-icon-theme

Conflicts:      %{appname}

%description
Fractal is a Matrix messaging app for GNOME written in Rust. Its interface is
optimized for collaboration in large groups, such as free software projects.


%prep
%autosetup -n %{appname}-%{commit}


%build
%meson
%meson_build


%install
%meson_install
%find_lang %{appname}


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files -f %{appname}.lang
%license LICENSE.txt
%doc README.md
%{_bindir}/%{appname}
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/*/*/*.svg
%{_metainfodir}/*.xml


%changelog
* Thu Jul 16 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 4.2.2-1.20200716gitb2de170
- Update to latest git snapshot

* Fri Jul 03 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 4.2.2-1.20200702git881c107
- Update to latest git snapshot

* Fri May 01 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 4.2.2-1.20200501git1aa3a4c
- Update to latest git snapshot

* Sat Feb 22 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 4.2.2-1.20200222git2005b00
- Update to latest git snapshot

* Tue Feb 18 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 4.2.2-1.20200218gitf9403d3
- Update to latest git snapshot

* Thu Feb 13 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 4.2.2-1.20200213git32ba9e1
- Update to latest git snapshot

* Sat Feb 08 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 4.2.2-1.20200209gitf0578db
- Update to latest git snapshot

* Fri Jan 31 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 4.2.2-1.20200131git5f333c6
- Update to latest git snapshot

* Fri Jan 24 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 4.2.2-1.20200124git4fca2f0
- Update to latest git snapshot

* Sun Jan 12 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 4.2.2-1.20200112git61fa72f
- Update to latest git snapshot

* Sun Jan 05 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 4.2.2-1.20200105gitcb3fec5
- Update to latest git snapshot

* Thu Nov 21 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 4.2.1-1.20191106git9101aa4
- Update to latest git snapshot

* Sun Jul 28 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 4.2.0-1.20190727git65ed458
- Update 4.2.0

* Wed May 15 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 4.0.0-1.20190514git7925a33
- Initial package
